Raritan PX2/PX3 JSON-RPC API

ModbusGatewayMgr.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2013 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __MODBUS_GATEWAY_MGR_IDL__
7 #define __MODBUS_GATEWAY_MGR_IDL__
8
9 module modbus {
10 interface GatewayMgr {
11 constant int NO_ERROR = 0; ///< No error
12 constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
13
14 /** Modbus RTU settings */
15 structure RtuSettings {
16 byte defaultAddr; ///< Modbus serial device default address
17 int speed; ///< Modbus serial line speed
18 byte parity; ///< Modbus serial line parity (N/E/O)
19 };
20
21 /** Modbus gateway settings (extending modb PortMux service) */
22 structure Settings {
23 RtuSettings rtu; ///< Modbus RTU settings
24 };
25
26 /**
27 * Get the modbus gateway settings
28 *
29 * @return settings
30 */
31 Settings getSettings();
32
33 /**
34 * Set the modbus gateway settings
35 *
36 * @param settings
37 *
38 * @return 0 if OK
39 * @return ERR_INVALID_PARAMS if any parameters are invalid
40 */
41 int setSettings(in Settings settings);
42 };
43 }
44
45 #endif /* !__MODBUS_GATEWAY_MGR_IDL__ */
modbus::GatewayMgr::RtuSettings::parity
byte parity
Modbus serial line parity (N/E/O)
Definition: ModbusGatewayMgr.idl:18
modbus::GatewayMgr::RtuSettings::defaultAddr
byte defaultAddr
Modbus serial device default address.
Definition: ModbusGatewayMgr.idl:16
modbus::GatewayMgr::Settings::rtu
RtuSettings rtu
Modbus RTU settings.
Definition: ModbusGatewayMgr.idl:23
modbus
Definition: ModbusDevice.idl:9
modbus::GatewayMgr::Settings
Modbus gateway settings (extending modb PortMux service)
Definition: ModbusGatewayMgr.idl:22
modbus::GatewayMgr::RtuSettings::speed
int speed
Modbus serial line speed.
Definition: ModbusGatewayMgr.idl:17
modbus::GatewayMgr
Definition: ModbusGatewayMgr.idl:10
modbus::GatewayMgr::RtuSettings
Modbus RTU settings.
Definition: ModbusGatewayMgr.idl:15